Bug 198359

Summary: [PATCH] devel/upp: Update to 8227
Product: Ports & Packages Reporter: lightside <lightside>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Some People CC: m.sund
Priority: --- Keywords: patch
Version: LatestFlags: m.sund: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Proposed patch (since 373227 revision)
none
The poudriere testport log (FreeBSD 10 amd64)
none
Proposed patch (since 373227 revision)
none
Proposed patch (since 373227 revision)
none
Proposed patch (since 373227 revision)
none
The poudriere testport log (FreeBSD 10 amd64)
none
Proposed patch (since 373227 revision)
none
Proposed patch (since 373227 revision)
none
Proposed patch (since 373227 revision)
none
Proposed patch (since 373227 revision) none

Description lightside 2015-03-06 15:54:38 UTC
Created attachment 153909 [details]
Proposed patch (since 373227 revision)

Patch to update devel/upp port from 5485 to 8227 version.

Look following link for changes:
http://www.ultimatepp.org/www$uppweb$Roadmap$en-us.html

- Adapt MASTER_SITES
- Add LICENSE_FILE
- Add execinfo to USES
- Adapt MACRO_FLAGS
- Adapt include directories for CINC
- Adapt sed patches
- Add sed patch to build U++ package(s) with using modern GCC
- Adapt GCC build method
- Add creation of CLANG build method, based on GCC with some changes
- Wrap cd related command to parentheses
- Add automatic list generation of empty directories inside of DATADIR for TMPPLIST
- Add patch to delete *.bm files for local install, not just GCC.bm
Comment 1 lightside 2015-03-06 15:55:02 UTC
Created attachment 153910 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 2 lightside 2015-03-06 16:16:06 UTC
Created attachment 153913 [details]
Proposed patch (since 373227 revision)

Optimized some variables.
Comment 3 lightside 2015-03-07 04:00:33 UTC
Created attachment 153947 [details]
Proposed patch (since 373227 revision)

(In reply to comment #0)
> - Add automatic list generation of empty directories inside of DATADIR for TMPPLIST

Some of empty directories are removed by upstream:
https://code.google.com/p/upp-mirror/source/detail?r=8239

I guess, the "uppsrc/Web/TServ" empty directory created for distfile archive (with using uppsrc/packages1 file) and might be not used also.

The proposed patch updated.

- Do not copy (unused) empty directories to DATADIR
Comment 4 lightside 2015-03-08 00:44:30 UTC
Created attachment 153984 [details]
Proposed patch (since 373227 revision)

(In reply to comment #0)
> - Add sed patch to build U++ package(s) with using modern GCC
The patch applied by upstream:
https://code.google.com/p/upp-mirror/source/detail?r=8242
I converted it to static patch for current 8227 version.

Changed localsrc to globalsrc variable for FindFile in case of static patch for local installation, which deletes ${HOME}/upp/*.bm files, based on ${DATADIR}/*.bm files, which already replaced, when copied. Other *.bm files are not affected.
Comment 5 lightside 2015-03-08 01:40:11 UTC
Created attachment 153987 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 6 lightside 2015-03-10 00:21:24 UTC
Created attachment 154119 [details]
Proposed patch (since 373227 revision)

Slightly modified the patch for uppsrc/ide/SrcUpdater/Install.cpp file.
Comment 7 lightside 2015-03-15 00:10:32 UTC
Created attachment 154307 [details]
Proposed patch (since 373227 revision)

Added patches for some U++ packages to compile on FreeBSD operating system.
The bazaar/Media might not compile, but "GCC !WIN32" is "POSIX", logically.
Overall, these patches fixes the cases where CLANG builder might be used. On this release version some of mentioned packages are based on GCC builder check, while the source code checks PLATFORM_POSIX define, which is POSIX flag on U++ packages level.
Comment 8 lightside 2015-03-15 00:38:46 UTC
Created attachment 154308 [details]
Proposed patch (since 373227 revision)

Changed some patches in comment #7.
Comment 9 lightside 2015-03-15 19:49:18 UTC
(In reply to comment #0)
> - Add patch to delete *.bm files for local install, not just GCC.bm

The patch applied by upstream (for the first variant):
https://code.google.com/p/upp-mirror/source/detail?r=8251

(In reply to comment #7)
> Added patches for some U++ packages to compile on FreeBSD operating system.

The patches applied by upstream:
https://code.google.com/p/upp-mirror/source/detail?r=8267
https://code.google.com/p/upp-mirror/source/detail?r=8268
Comment 10 lightside 2015-04-13 17:28:51 UTC
Created attachment 155555 [details]
Proposed patch (since 373227 revision)

Adapt patches in files directory, after ports r383894 changes for ports-mgmt/portlint v2.16.3.
Comment 11 commit-hook freebsd_committer 2015-05-04 11:18:21 UTC
A commit references this bug:

Author: jbeich
Date: Mon May  4 11:17:24 UTC 2015
New revision: 385394
URL: https://svnweb.freebsd.org/changeset/ports/385394

Log:
  devel/upp: update to 8227 and improve

  - Adapt MASTER_SITES
  - Adapt MACRO_FLAGS
  - Adapt include directories for CINC
  - Adapt sed patches
  - Adapt GCC build method
  - Add LICENSE_FILE
  - Add execinfo to USES
  - Add creation of CLANG build method, based on GCC with some changes
  - Add patch to build U++ package(s) using modern GCC [1]
  - Add patch to delete *.bm files for local install, not just GCC.bm [2]
  - Add patches for some U++ packages to compile on FreeBSD [3]
  - Do not copy (unused) empty directories to DATADIR
  - Wrap cd related command to parentheses

  Changes:	http://upp.sf.net/www$uppweb$Roadmap$en-us.html
  PR:		198359
  Submitted by:	lightside <lightside@gmx.com>
  Approved by:	m.sund@arcor.de (maintainer)
  Obtained from:	https://code.google.com/p/upp-mirror/source/detail?r=8242 [1]
  Obtained from:	https://code.google.com/p/upp-mirror/source/detail?r=8251 [2]
  Obtained from:	https://code.google.com/p/upp-mirror/source/detail?r=8267 [3]
  Obtained from:	https://code.google.com/p/upp-mirror/source/detail?r=8268 [3]

Changes:
  head/devel/upp/Makefile
  head/devel/upp/distinfo
  head/devel/upp/files/
  head/devel/upp/files/patch-bazaar_FreeType_FreeType.upp
  head/devel/upp/files/patch-bazaar_Media_Media.upp
  head/devel/upp/files/patch-bazaar_Tcc_Tcc.upp
  head/devel/upp/files/patch-uppsrc_Core_Defs.h
  head/devel/upp/files/patch-uppsrc_PostgreSQL_PostgreSQL.upp
  head/devel/upp/files/patch-uppsrc_ide_SrcUpdater_Install.cpp
Comment 12 Jan Beich freebsd_committer 2015-05-04 11:24:34 UTC
Thanks. Committed.